Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 589889 - update openoffice-langpack-zh_CN to not require uming
update openoffice-langpack-zh_CN to not require uming
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On: 588132
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-07 04:30 EDT by Peng Wu
Modified: 2010-06-02 14:09 EDT (History)
8 users (show)

See Also:
Fixed In Version: openoffice.org-3.2.0-12.23.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 588132
Environment:
Last Closed: 2010-06-02 14:09:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peng Wu 2010-05-07 04:30:53 EDT
+++ This bug was initially created as a clone of Bug #588132 +++

We know the default simplified chinese font of  Fedora 13 Livecd X86_64 Beta is
wqy-zenhei,and it's very nice for most chinese users. But after I installed the
package openoffice-langpack-zh_CN,The system's default font change to Uming
fonts.It looks ugly.
I noticed that when installing openoffice-langpack-zh_CN,yum installed
cjkuni-Uming-font due to package dependencies。
--------
Maybe the fontconfig's profile in /etc/fonts/conf.d let the Uming fonts loaded
before wqy-zenhei.

When I removed cjkuni-Uming-font or deleted 64-ttf-arphic-uming.conf the
default simplified chinese font change back to wqy-zenhei again.
-----
I think it's a bug  because I didn't found the same problem in Debian
Squeeze.After  I installed cjkuni-Uming-font the default font in Debian  is
still wqy-zenhei.

Thanks.

--- Additional comment from petersen@redhat.com on 2010-05-07 03:59:56 EDT ---

I think this might well be a openoffice.org-langpack-zh_CN issue:
probably the langpack should be updated to use/require WQY Zenhei now.

--- Additional comment from petersen@redhat.com on 2010-05-07 04:00:51 EDT ---

but uming should not override wqy-zenhei..
Comment 1 Peng Wu 2010-05-07 04:33:25 EDT
Could we remove the cjkuni-uming-fonts dependencies from openoffice.org-langpack-zh_CN, or use wqy-zenhei-fonts instead?

As zh_CN users prefer wqy-zenhei-fonts.
Comment 2 Caolan McNamara 2010-05-07 05:52:57 EDT
For devel we've moved OOo langpacks to just requiring a font that can display the language, e.g. Requires: font(:lang=zh-cn) and Requires: font(:lang=zh-tw) which fixes this correctly for the long term.

For F-13 we continue to require a specific font package. There's no problem in changing that font to be wqy-zenhei-fonts for the simplified Chinese OOo pack, should wqy-zenhei-fonts be preferred for traditional as well ?, or just simplified.
Comment 3 Peng Wu 2010-05-07 06:05:18 EDT
(In reply to comment #2)
> For devel we've moved OOo langpacks to just requiring a font that can display
> the language, e.g. Requires: font(:lang=zh-cn) and Requires: font(:lang=zh-tw)
> which fixes this correctly for the long term.
> 
Great.
> For F-13 we continue to require a specific font package. There's no problem in
> changing that font to be wqy-zenhei-fonts for the simplified Chinese OOo pack,
> should wqy-zenhei-fonts be preferred for traditional as well ?, or just
> simplified.    

I guess that wqy-zenhei-fonts is only prefered by Simplified Chinese users.
But not very sure about Traditional Chinese.
Also CC Traditional Chinese users kaio and dychen.
Comment 4 Jens Petersen 2010-05-07 08:48:05 EDT
Yeah I think let's just change zh_CN for now
and we can consider/revisit zh_TW later if necessary.
Comment 5 Caolan McNamara 2010-05-07 09:01:13 EDT
Hmm, see bug 589974 for some additional bustage when the uming fonts are installed.

To get this to work right, i.e. to get a suitable default document font in OOo when the language is zh-* and the uming fonts are not installed I need to backport a little bit more magic from F-14. Might as well just require a virtual font in this case altogether.

Building as >= 3.2.0-12.21
Comment 6 Fedora Update System 2010-05-08 04:42:17 EDT
openoffice.org-3.2.0-12.21.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/openoffice.org-3.2.0-12.21.fc13
Comment 7 Fedora Update System 2010-05-08 12:10:33 EDT
openoffice.org-3.2.0-12.21.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/openoffice.org-3.2.0-12.21.fc13
Comment 8 Fedora Update System 2010-05-22 03:21:35 EDT
openoffice.org-3.2.0-12.23.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/openoffice.org-3.2.0-12.23.fc13
Comment 9 Fedora Update System 2010-05-24 15:43:41 EDT
openoffice.org-3.2.0-12.23.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/openoffice.org-3.2.0-12.23.fc13
Comment 10 Fedora Update System 2010-06-02 14:08:51 EDT
openoffice.org-3.2.0-12.23.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.